Skip to content

Upload a profile picture

post/upload-chatbot-profile-picture/{chatbotId}
Any key

This API endpoint allows you to update the profile picture of your chatbot. The image is resized to 100×100 pixels.

Path parameters

Required
chatbotIdstring
The unique identifier allocated to the chatbot.

Request body

Sending 1 of 1 field
Required
imagefile
The profile picture to upload. It must be a square PNG, JPEG, GIF or WebP image of up to 1 MB.

Only these fields are sent (multipart/form-data).

Try it · POST /upload-chatbot-profile-picture/{chatbotId}
curl 'https://api.chat-data.com/api/v2/upload-chatbot-profile-picture/6650f1c2a9e4b83d2c7a1f05' \  -H "Authorization: Bearer $CHAT_DATA_API_KEY" \  -F 'image=@"/path/to/image.png"'
Loading…

Responses

Successful response.

Content type: application/json

FieldDescription
statusstringOne of: success.

Example

{  "status": "success"}

Last updated October 14, 2026